Loading...
Searching...
No Matches
OFis_array< T > Struct Template Reference

Metafunction to determine if a type is an array. More...

## Detailed Description

template<typename T>
struct OFis_array< T >

Metafunction to determine if a type is an array.

OFis_array is based on OFintegral_constant and evaluates to OFTrue if an array type is probed, otherwise OFis_array<...>::value equals OFFalse.

See also
  http://en.cppreference.com/w/cpp/types/is_array for details.

Template Parameters

  T | The type to inspect, e.g. "int[]".

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0